﻿@using ShopWebApp.Models
@model PagedIndexViewModel<ShopWebApp.Domain.Models.Category>

@{
    ViewBag.Title = "Categories";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>Categories</h2>

<p>
    @Html.ActionLink("Create New", "Create", null, new { @class = "btn btn-primary" })
</p>
<table class="table table-striped table-bordered table-hover table-sm">
    <tr>
        <th>
            Id
        </th>
        <th>
            Category name
        </th>
        <th></th>
    </tr>

    @foreach (var item in Model.Collection)
    {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.Id)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.CategoryName)
            </td>
            <td>
                @Html.ActionLink("Edit", "Edit", new { id = item.Id }, new { @class = "btn btn-outline-primary btn-sm" })
                @Html.ActionLink("Details", "Details", new { id = item.Id }, new { @class = "btn btn-outline-primary btn-sm" })
                @Html.ActionLink("Delete", "Delete", new { id = item.Id }, new { @class = "btn btn-outline-danger btn-sm" })
            </td>
        </tr>
    }

</table>
@HtmlHelpers.BuildPagination(Model.PaginationInfo, n => Url.Action("Index", "Categories", new { page = n }))
